#!/usr/local/bin/tclsh

set rev(tstdnetlib.tcl) {$Header: /home/cvs/PacketMaster/tstdnetlib.tcl,v 1.2 2002/09/02 15:40:46 clif Exp $}
#####################################################################
;# NAME:   tstdnetlib.tcl
;# AUTHOR: Clif Flynt
;# DATE:   9/2/2002
;# DESC:   Test for dnetlib.tcl
;#         
;#         
;#
;# PARAMETERS:  None:
;#
;#
#####################################################################
# This code is written and copyrighted by Clif Flynt, 2002
#
# It is licenced for public use with these terms:
#
#  This licence agreement must remain intact with the code.
# 
#  You may use this code freely for non-commercial purposes.
#
#  You may examine and modify the code to your heart's content.
#
#  You may not claim to have authored the code (aside from modifications
#  you may have made.)
#
#  You may not distribute the code without this license agreement
#
#  You may not sell this code or distribute it with a commercial product
#      without arrangements with Noumena Corporation.
#
#  Maintenance, extension, modification, etc can be performed by:
#
#   Noumena Corporation
#   9300 Fleming Rd.
#   Dexter, MI  48130
#
#   Contact: clif@noucorp.com
#
#####################################################################


source dnetlib.tcl

set payload {08 00 ff eb 00 ff 00 02 00 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d 0e 0f 10 11 12 13 14 15 16 17 18 19 1a 1b 1c 1d 1e 1f 20 21 22 23 24 25 26 27 28 29 2a 2b 2c 2d 2e 2f 30 31 32 33 34 35 36 37}

set real {
45 0 00 54 00 00 40 00 40 01 05 07 c0 a8 5a 11 c0 a8 5a 40 
08 00 ff eb 00 ff 00 02 
00 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d 0e 0f 10 11 12 13 14 15 16 17 18 
19 1a 1b 1c 1d 1e 1f 20 21 22 23 24 25 26 27 28 29 2a 2b 2c 2d 2e 2f 30 31 
32 33 34 35 36 37}

set ip2 [dnetlib::ipPacket 4 0 00 2 0 64 1 192.168.90.17 192.168.90.64 {} $payload]

set runpack [dnetlib::unpackIPHdr $real]
set myunpack [dnetlib::unpackIPHdr $ip2]

if {![string match $runpack $myunpack]} {
    puts "FAILED to create good IP Packets."
    puts "$runpack != $myunpack"
    puts "$real\n$ip2"
} else {
    puts "Numeric Definition of Header is Cool "
}


set ip2 [dnetlib::ipPacket 4 0 00 2 0 64 ICMP 192.168.90.17 192.168.90.64 {} $payload]

set runpack [dnetlib::unpackIPHdr $real]
set myunpack [dnetlib::unpackIPHdr $ip2]

if {![string match $runpack $myunpack]} {
    puts "FAILED to create good IP Packets."
    puts "$runpack != $myunpack"
    puts "$real\n$ip2"
} else {
    puts "Mnemonic Definition of Header is Cool "
}



