set rev(tsty.tcl) {$Header: /home/cvs/PacketMaster/tsty.tcl,v 1.2 2002/09/02 15:40:46 clif Exp $}
#####################################################################
;# NAME:   tsty.tcl
;# AUTHOR: Clif Flynt
;# DATE:   9/2/2002
;# DESC:   Network Saturation test.
;#         
;#         
;#
;# PARAMETERS:  None - modify the file to match the test network.
;#
;#
#####################################################################
# This code is written and copyrighted by Clif Flynt, 2002
#
# It is licenced for public use with these terms:
#
#  This licence agreement must remain intact with the code.
# 
#  You may use this code freely for non-commercial purposes.
#
#  You may examine and modify the code to your heart's content.
#
#  You may not claim to have authored the code (aside from modifications
#  you may have made.)
#
#  You may not distribute the code without this license agreement
#
#  You may not sell this code or distribute it with a commercial product
#      without arrangements with Noumena Corporation.
#
#  Maintenance, extension, modification, etc can be performed by:
#
#   Noumena Corporation
#   9300 Fleming Rd.
#   Dexter, MI  48130
#
#   Contact: clif@noucorp.com
#
#####################################################################

# Load the new extension
load ./libdnet.so

# Open a connection to the ethernet device.
set e [dnet::eth_open eth1]


# The MAC address, obtained with arp -s

set destEther 00:E0:4C:00:14:4D
set srcEther 00:A0:CC:D1:B6:00

# A valid echo request packet,
#  obtained with tcpdump

set echo_Request [list 45 00 00 54 00 00 40 00 40 01 \
  05 16 c0 a8 5a 40 c0 a8 5a 02 08 00 98 d9 \
  df 22 00 00 63 cf 4d 3d d5 f3 0e 00 08 09 \
  0a 0b 0c 0d 0e 0f 10 11 12 13 14 15 16 17 \
  18 19 1a 1b 1c 1d 1e 1f 20 21 22 23 24 25 \
  26 27 28 29 2a 2b 2c 2d 2e 2f 30 31 32 33 \
  34 35 36 37]

# Fill a list with hex values

set packet [split $destEther :]
eval lappend packet [split $srcEther :]
lappend packet 08 00
eval lappend packet $echo_Request


set len [llength $packet]

set buf [dnet::new_uint_8Array $len]

for {set i 0} {$i < $len} {incr i} {
    dnet::set_uint_8Array $buf $i 0x[lindex $packet $i]
}

# And shove it onto the wire 10 times

while {1} {
  dnet::eth_send $e $buf $len
}


